path: /build/build/check-dev-libs-0.12.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-subunit" emerge dev-libs/check -pv -t && \
    USE="-subunit" emerge -j ${JOBS} --nodeps dev-libs/check
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/check && luet-portage --dir /pkgdir/check
    dev-libs/check && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3f78bf16e56bc1a68f3951225fed8d7b72ad0c8e78b2c9b927ac72cfc68723be
  package:
    name: check
    version: 0.12.0
    category: dev-libs
    use_flags:
    - -subunit
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A unit test framework for C
    uri:
    - https://libcheck.github.io/check/
    license: LGPL-2.1
    buildtimestamp: 2023-08-23 20:40:07.897820708 +0000 UTC m=+96.646541617
    labels:
      DEPEND: subunit? ( >=dev-python/subunit-0.0.10-r1[-mgorny(-)] ) sys-apps/texinfo
        virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      IUSE: static-libs subunit abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: subunit? ( >=dev-python/subunit-0.0.10-r1[-mgorny(-)] )
      emerge.packages: dev-libs/check
      kit: core-kit
      original.package.name: dev-libs/check
      original.package.slot: "0"
      original.package.version: 0.12.0
    treedir: /build/packages
  package_dir: /pkgdir/check
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 64f5b8554084f710e7c08070bcb8aebd4daa227d799163561f0ba7c7977f2e72
compressiontype: zstd
files:
- usr/bin/checkmk
- usr/include/check.h
- usr/include/check_stdint.h
- usr/lib64/libcheck.so
- usr/lib64/libcheck.so.0
- usr/lib64/libcheck.so.0.0.0
- usr/lib64/pkgconfig/check.pc
- usr/share/aclocal/check.m4
- usr/share/doc/check-0.12.0/AUTHORS.bz2
- usr/share/doc/check-0.12.0/ChangeLog.bz2
- usr/share/doc/check-0.12.0/NEWS.bz2
- usr/share/doc/check-0.12.0/README.bz2
- usr/share/doc/check-0.12.0/README.md.bz2
- usr/share/doc/check-0.12.0/THANKS.bz2
- usr/share/doc/check-0.12.0/TODO.bz2
- usr/share/doc/check-0.12.0/example/Makefile.am
- usr/share/doc/check-0.12.0/example/README.bz2
- usr/share/doc/check-0.12.0/example/configure.ac.bz2
- usr/share/doc/check-0.12.0/example/src/Makefile.am.bz2
- usr/share/doc/check-0.12.0/example/src/main.c.bz2
- usr/share/doc/check-0.12.0/example/src/money.1.c.bz2
- usr/share/doc/check-0.12.0/example/src/money.1.h.bz2
- usr/share/doc/check-0.12.0/example/src/money.2.h.bz2
- usr/share/doc/check-0.12.0/example/src/money.3.c.bz2
- usr/share/doc/check-0.12.0/example/src/money.4.c.bz2
- usr/share/doc/check-0.12.0/example/src/money.5.c.bz2
- usr/share/doc/check-0.12.0/example/src/money.6.c.bz2
- usr/share/doc/check-0.12.0/example/src/money.c.bz2
- usr/share/doc/check-0.12.0/example/src/money.h.bz2
- usr/share/doc/check-0.12.0/example/tests/Makefile.am.bz2
- usr/share/doc/check-0.12.0/example/tests/check_money.1.c.bz2
- usr/share/doc/check-0.12.0/example/tests/check_money.2.c.bz2
- usr/share/doc/check-0.12.0/example/tests/check_money.3.c.bz2
- usr/share/doc/check-0.12.0/example/tests/check_money.6.c.bz2
- usr/share/doc/check-0.12.0/example/tests/check_money.7.c.bz2
- usr/share/doc/check-0.12.0/example/tests/check_money.c.bz2
- usr/share/info/check.info.bz2
- usr/share/man/man1/checkmk.1.bz2
- var/db/pkg/dev-libs/check-0.12.0/BUILD_TIME
- var/db/pkg/dev-libs/check-0.12.0/CATEGORY
- var/db/pkg/dev-libs/check-0.12.0/CBUILD
- var/db/pkg/dev-libs/check-0.12.0/CFLAGS
- var/db/pkg/dev-libs/check-0.12.0/CHOST
- var/db/pkg/dev-libs/check-0.12.0/CONTENTS
- var/db/pkg/dev-libs/check-0.12.0/COUNTER
- var/db/pkg/dev-libs/check-0.12.0/CXXFLAGS
- var/db/pkg/dev-libs/check-0.12.0/DEFINED_PHASES
- var/db/pkg/dev-libs/check-0.12.0/DEPEND
- var/db/pkg/dev-libs/check-0.12.0/DESCRIPTION
- var/db/pkg/dev-libs/check-0.12.0/EAPI
- var/db/pkg/dev-libs/check-0.12.0/FEATURES
- var/db/pkg/dev-libs/check-0.12.0/HOMEPAGE
- var/db/pkg/dev-libs/check-0.12.0/INHERITED
- var/db/pkg/dev-libs/check-0.12.0/IUSE
- var/db/pkg/dev-libs/check-0.12.0/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/check-0.12.0/KEYWORDS
- var/db/pkg/dev-libs/check-0.12.0/LDFLAGS
- var/db/pkg/dev-libs/check-0.12.0/LICENSE
- var/db/pkg/dev-libs/check-0.12.0/NEEDED
- var/db/pkg/dev-libs/check-0.12.0/PF
- var/db/pkg/dev-libs/check-0.12.0/PROVIDES
- var/db/pkg/dev-libs/check-0.12.0/REQUIRES
- var/db/pkg/dev-libs/check-0.12.0/SIZE
- var/db/pkg/dev-libs/check-0.12.0/SLOT
- var/db/pkg/dev-libs/check-0.12.0/USE
- var/db/pkg/dev-libs/check-0.12.0/check-0.12.0.ebuild
- var/db/pkg/dev-libs/check-0.12.0/environment.bz2
- var/db/pkg/dev-libs/check-0.12.0/repository
package_cacheimage: ""
runtime:
  name: check
  version: 0.12.0
  category: dev-libs
  use_flags:
  - -subunit
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A unit test framework for C
  uri:
  - https://libcheck.github.io/check/
  license: LGPL-2.1
  labels:
    DEPEND: subunit? ( >=dev-python/subunit-0.0.10-r1[-mgorny(-)] ) sys-apps/texinfo
      virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    IUSE: static-libs subunit abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
      abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: subunit? ( >=dev-python/subunit-0.0.10-r1[-mgorny(-)] )
    emerge.packages: dev-libs/check
    kit: core-kit
    original.package.name: dev-libs/check
    original.package.slot: "0"
    original.package.version: 0.12.0
